Skip to main content
GET
Get inventory device

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

Response

Customer-facing inventory projection row keyed by Fleet Manager Device UUID.

id
string<uuid>
required
read-only
name
string
required
read-only
netbox_id
integer
required
read-only
position
number<double> | null
required
read-only
serial_number
string | null
required
read-only
bmc_ip
string | null
required
read-only
asset_tag
string
required
read-only
description
string
required
read-only
primary_ip
string | null
required
read-only
custom_fields
object
required
read-only
device_type
object
required

Device type details exposed through the customer inventory API.

role
object
required

Device role details exposed through the customer inventory API.

rack
object
required

Rack details exposed through the customer inventory API.

location
object
required

The device's location: its name and the ordered list of ancestor locations, from the site root down to the location's immediate parent. ancestors is empty for a top-level location.

site
object
required

Site details exposed through the customer inventory API.

status
enum<string>
required
  • planned - Planned
  • staged - Staged
  • active - Active
  • failed - Failed
  • offline - Offline
  • rma - RMA
  • returned - Returned
  • decommissioning - Decommissioning
  • decommissioned - Decommissioned
  • inventory - Inventory
  • unknown - Unknown
Available options:
planned,
staged,
active,
failed,
offline,
rma,
returned,
decommissioning,
decommissioned,
inventory,
unknown
interfaces
object[]
required
read-only
fru
object[]
required
read-only
switch_port
string | null
required
read-only
source_updated_at
string<date-time>
required
read-only
last_synced_at
string<date-time>
required
read-only